Subject: [Ietf-not43] Result vs. Entity

From: [email-masked] (Hollenbeck, Scott)
Date: Thu, 27 Feb 2003 16:19:54 -0500

Someone just brought a possible requirements wording issue to my attention.
In EPP, we allow an IP address to be associated with multiple server
names/aliases.  The CRISP requirements draft describes lookup responses like
this:

> 3.2.1 Lookups
> 
> 3.2.1.1 Protocol Requirement
> 
>    The protocol MUST contain the following lookup functions:
> 
> ...
> 
>    2.  Nameserver lookup given a fully-qualified host name or IP address
> of a nameserver.
> 
> ...
> 
> 3.2.1.2 Service Description
> 
>    These lookups are all single index queries and should produce zero or
> only one result.

It's entirely possible that an IP address query might need to return
multiple host names, so perhaps the word "result" is a bit misleading in the
service description.  Would it be possible to change "result" to a word like
"entity" instead?:

"...and should return zero or one entity."

-Scott-